.project {
    text-align: left;
    height: 100%;
}

.projectTitle {
    height: 1cm;
    font-size: 20pt;
    font-weight: bold;
}

.projectTable {
    margin-top: 0.2rem !important;
    margin-bottom: 0.2rem !important;
    text-overflow: ellipsis;
    overflow-y: auto;
    width: inherit;
    height: calc(100% - 1.0cm) !important;
}

.tHeader {
    font-weight: bold;
    width: 100%;
    height: 5mm;
}

.tRow {
    width: 100%;
}

.tCell {
    display: inline-block;
}

.cellName {
    display: inline-block;
    width: 80%;
}

.cellType {
    display: inline-block;
    width: 20%;
}


.classBlock {
    text-overflow: ellipsis;
    height: calc(100% - 1cm);
    overflow-y: auto;
}

.modelClass {
    display: none;
}

.modelLabel:before, .modelLabelClass:before {
    font-family: "Font Awesome\ 5 Free";
    content: "\f054";
    font-weight: 900;
    color: #bbbbbb;
}

.modelLabel, .modelLabelClass, .modelLabelClassLast {
    display: inline-block;
    width: 6mm;
    padding: 0 1mm 0 2mm;
    border-radius: 2px;
    cursor: pointer;
}

.modelCheckBox:not(:checked) ~ .modelRelation {
    display: none;
}

.modelCheckBox:checked ~ .modelRelation {
    display: block;
}

.modelCheckBox:not(:checked) ~ .modelLabel:before {
    content: "\f054";
    color: #bbbbbb;
}

.modelCheckBox:checked ~ .modelLabel:before {
    content: "\f078";
    color: #777777;
}

.modelCheckBox[type="checkbox"] {
    display: none;
}

.modelLabelClass, .modelLabelClassLast {
    padding-left: 9mm;
}

.modelCheckBox:not(:checked) ~ .modelLabelClass:before {
    content: "\f054";
    color: #bbbbbb;
}

.modelCheckBox:checked ~ .modelLabelClass:before {
    content: "\f078";
    color: #777777;
}

.tBlock {
    padding-top: 1mm;
    text-overflow: ellipsis;
    overflow-y: auto;
    width: inherit;
    height: 100%;
}


.element .parameter {
    padding-top: 0.5mm;
    padding-bottom: 0.5mm;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}